Sign inGet started

Search Available Numbers

Search available numbers in stock that you can buy to set up an SMS, Voice, or WhatsApp channel. You can filter by country, prefix, number type, and number capabilities.
You can search available numbers using one of the following attributes:
  • countryCode: 2-digit ISO code of the country, example: US for the United States, we follow the ISO 3166-1 standard.
  • types: types of numbers you are searching for. Check the API spec for allowed values.
  • features: the capabilities of the number (sms, mms, voice, whatsapp). Check the API spec for allowed values.
  • prefix: the area code of the number, this has to be the area code only without country code, you need to pass the country code as well as the prefix if you're looking to filter for a specific area code.
GET
/workspaces/{workspaceId}/numbers-stock-items
List all available numbers in stock.
查询参数
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
countryCodes
array
types
array
The number type depending on its purpose. Local for regional use, national for countrywide use, mobile for mobile networks, or toll-free for caller-free charging.
features
array
The number capabilities, which can be voice, SMS, and MMS for inbound, outbound, or two-way communication, plus WhatsApp.
prefix
string
Used to filter numbers by area code. Accepts either bare area code digits (e.g. 205 for Alabama) or a full E.164 prefix (e.g. +1205). Partial prefixes are supported for autocomplete use cases (e.g. +120 matches all numbers in area codes 202, 203, 205, 206, 207, 208, 209). Must be used together with the countryCodes filter.
testing
boolean
响应载荷
results
array of object
必填
显示子属性
results.id
string
必填
The unique identifier of the stock item.
results.countryCode
string
必填
The country code in ISO 3166-1 alpha-2 format.
results.type
string
必填
The type of long code number.
Possible values: local, national, toll-free, mobile
results.numberString
string
必填
results.capabilities
object
必填
Capabilities of the phone number. It shows if the phone number supports voice, sms and/or mms.
显示子属性
results.capabilities.voice
object
必填
显示子属性
results.capabilities.voice.inbound
boolean
必填
Whether the number supports inbound use cases.
results.capabilities.voice.outbound
boolean
必填
Whether the number supports outbound use cases.
results.capabilities.sms
object
必填
显示子属性
results.capabilities.sms.inbound
boolean
必填
Whether the number supports inbound use cases.
results.capabilities.sms.outbound
boolean
必填
Whether the number supports outbound use cases.
results.capabilities.mms
object
必填
显示子属性
results.capabilities.mms.inbound
boolean
必填
Whether the number supports inbound use cases.
results.capabilities.mms.outbound
boolean
必填
Whether the number supports outbound use cases.
results.capabilities.whatsapp
object
显示子属性
results.capabilities.whatsapp.inbound
boolean
必填
Whether the number supports inbound use cases.
results.capabilities.whatsapp.outbound
boolean
必填
Whether the number supports outbound use cases.
results.monthlyPrice
object
必填
Money combines an amount of money with its currency.
显示子属性
results.monthlyPrice.currencyCode
string
必填
Currency as ISO 4217 code (three digits). An example would be EUR for Euro.
Possible values: EUR, USD, GBP, AUD, SGD, IDR, INR, MXN
results.monthlyPrice.amount
integer
必填
results.monthlyPrice.exponent
integer
必填
Usually a negative number to specify the exponent for decimal precision. e.g., 1540 * (10^-2) = 15.4
results.backOrderRequired
boolean
Whether back order is required for this item, available but it is not in the local inventory
results.backOrderStockId
string
The stock id of the back order item, to be used when creating back order
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display. To know more, refer to the pagination section.
代码示例
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/numbers-stock-items' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'